#!/sbin/sh
#
# Mu-Cheng Hsieh <mucheng@cc.nthu.edu.tw>
# 2003/10/19
#

SBIN="/usr/local/netguard2/sbin"
LOG="/usr/local/netguard2/log"

registrar=$SBIN/registrar.pl
registrar_pid=$LOG/registrar.pid

netguard=$SBIN/netguard.pl
netguard_pid=$LOG/netguard.pid

start_shell=$SBIN/netguard.sh
start=0

if [ ! -f $registrar_pid -a ! -f $netguard_pid ]
then
  echo "$registrar $netguard did not start by $start_shell"
  exit
fi 

for prog in $registrar $netguard
do
  echo "Check $prog"

  if [ `/bin/pgrep -f -U netguard $prog` ]
  then
    echo $prog is alive 
  else
    echo "Should to start $prog"
    start=1 
  fi
done

if [ $start -eq 1 ]
then
    $start_shell restart
fi
