#!/sbin/sh
#
# All rights reserved.
#

SBIN="/usr/local/netguard/sbin"
LOG="/usr/local/netguard/log"

start(){
	#echo 'try to start registrar.pl'
	if [ -f $SBIN/registrar.pl ]; then
		echo 'registrar service starting.'
	        $SBIN/registrar.pl	
	fi

	if [ -f $SBIN/netguard.pl ]; then
		echo 'netguard starting.'
	        $SBIN/netguard.pl > /dev/null 2>&1 &
	fi
}

stop(){
	#echo 'try to stop registrar.'
	if [ -f $LOG/registrar.pid ]; then
		pid=`/usr/bin/cat $LOG/registrar.pid`
		[ "${pid}" -gt 0 ] && kill -15 $pid  && echo "registrar ${pid} stop."
	#	/bin/rm $LOG/registrar.pid
	fi
	if [ -f $LOG/netguard.pid ]; then
		pid=`/usr/bin/cat $LOG/netguard.pid`
		[ "${pid}" -gt 0 ] && kill -15 $pid  && echo "netguard ${pid} stop."
		/bin/rm $LOG/netguard.pid
	fi
}

case "$1" in
'stop')
	stop
	;;

'start')
	stop
	start
	;;

'restart')
	stop
	start
	;;

*)
	echo "Usage: $0 { start | stop | restart }"
	exit 1
	;;
esac
